Compare commits

...

24 Commits

Author SHA1 Message Date
b7bd0d6f76 Release 1.35 2025-01-04 16:32:41 +01:00
9688c3451c po/it: update translation 2025-01-04 16:32:28 +01:00
4d3731ea6b pck-update: support for --noprep (-p) option passed to rpm to skip prepare step 2025-01-04 14:16:58 +01:00
f00a282407 Release 1.34 2025-01-03 17:48:34 +01:00
275765b416 templates: remove insertion of %debug_package macro 2025-01-03 17:44:58 +01:00
b31cc77abf libspec.lib: remove log line added during development and testing 2025-01-03 17:41:28 +01:00
d8d0616776 Release 1.33 2024-12-29 20:28:52 +01:00
55541faa29 libspec.lib: no longer check for %debug_package macro since rpm 4.20 automatically manages the debug package 2024-12-29 20:26:02 +01:00
27c6c99aca Release 1.32 2024-12-27 15:55:54 +01:00
8b395cffa4 lib, plugins: use mktemp with -p /var/tmp to avoid disk full situations on tmpfs 2024-12-27 15:54:31 +01:00
6beb82631f Release 1.31 2024-11-10 18:54:16 +01:00
42cb6b3270 libnetwork: git.download: don't recreate package if already existing 2024-11-08 21:36:52 +01:00
85b067df45 libnetwork: remove warning on unexpected package version against git tag 2024-11-08 21:35:23 +01:00
baa246544c Release 1.30 2024-11-07 21:47:40 +01:00
57d1ff0548 pck-extract.in: use rpm2archive instead of rpm2cpio and /var/tmp instead of /tmp to overcome 4GB size limit 2024-11-07 21:47:06 +01:00
afaac46997 tests/test00_specsyntax.in: update curl user agent to fix 403 error from sourceforce 2024-11-05 11:46:40 +01:00
5dfc440765 Release 1.29 2024-10-12 20:47:35 +02:00
94a21a8788 tests: test00_specsyntax: add debug info for curl command line used 2024-10-12 20:47:00 +02:00
b789b54c9c templates: remove ldconfig in %post[un] scripts which are redundant since introduction of rpm filetrigger 2024-10-12 20:32:33 +02:00
c464b753d2 plugins/pck-update: autobuildreq: prefer solibs in libdir in case of multiple matches
(e.g. prefer /usr/lib64/libOpenCL.so.1 over /usr/lib64/cuda/libOpenCL.so.1)
2024-10-12 20:20:17 +02:00
7f203b27b0 Release 1.28.1 2024-06-13 14:48:18 +02:00
59dc0bab78 lib/libnetwork.lib.in: fix syntax typo in sed expression added in previous commit 2024-06-13 14:46:14 +02:00
d3be430dcc Release 1.28 2024-06-09 14:26:43 +02:00
fadd2fbc2e libnetwork.lib.in: replace '%2B' with '+' in RPMS and SRPMS file list retrieval 2024-06-09 14:25:32 +02:00
14 changed files with 99 additions and 141 deletions

View File

@ -1,2 +1,2 @@
VERSION=1.27
VERSION=1.35
RELEASE=1mamba

View File

@ -1,3 +1,2 @@
## macros used to automatically build debug packages --------------------------
rpm_macro_debug_package="%debug_package"
rpm_macro_debug_package_suffix="debug"

View File

@ -307,7 +307,7 @@ proxy:,proxy-user:,autoupdate-off: \
# FIXME : should `specname' be an optional argument?
[ "$specname" ] || { usage; ${EXIT_FUNC:-"exit"} 1; }
local fcurlout=$(mktemp -q -t fcurlout.XXXXXXXX) ||
local fcurlout=$(mktemp -q -p /var/tmp -t fcurlout.XXXXXXXX) ||
notify.error $"can't create temporary files"
# SPEC_SOURCE0_PCKNAME --> src0pckname

View File

@ -221,7 +221,7 @@ getting list of files from"" \`${NOTE}$currurl/${NORM}'..."
continue ;;
esac
currflist="$(mktemp -q -t flist.XXXXXXXX)" ||
currflist="$(mktemp -q -p /var/tmp -t flist.XXXXXXXX)" ||
notify.error $"can't create temporary files"
notify.debug "$FUNCNAME: currflist = $currflist"
@ -232,7 +232,7 @@ getting list of files from"" \`${NOTE}$currurl/${NORM}'..."
notify.debug "$FUNCNAME: curl return code: $retval"
case "$retval" in
0) sed -i 's/\x0D$//' $currflist
0) sed -i 's/\x0D$//;s/%2B/+/g' $currflist
flist[$i]="$currflist" ;;
6) notify.warning $"couldn't resolve host"
let "errors += 1" ;;
@ -365,7 +365,7 @@ function repository.get_RPMS_name() {
[ "$archlist" ] || notify.error $"\
(bug)"" -- $FUNCNAME: "$"no list of architectures set"" (\$archlist)"
local flist=`mktemp -q -t flist.XXXXXXXX` ||
local flist=`mktemp -q -p /var/tmp -t flist.XXXXXXXX` ||
notify.error $"can't create temporary files"
local curr_arch errors pck_name curr_match
@ -424,7 +424,7 @@ ${proxy:+ --proxy ***}${proxy_user:+ --proxy-user ***}"
esac
if [ -s "$flist" ]; then
sed -i 's/\x0D$//' $flist
sed -i 's/\x0D$//;s/%2B/+/g' $flist
case $currurl in
ftp://*|http://*|https://*)
for pck_name in ${pck_names[@]}; do
@ -918,6 +918,13 @@ function git.download() {
notify.debug "$FUNCNAME: token_dirname = \"$token_dirname\""
notify.debug "$FUNCNAME: token_basename = \"$token_basename\""
if [ -e $destdir/$token_basename ]; then
if [ "$force_download" = "0" ]; then
notify.note "[${filenum:-*}] $NOTE$token_basename$NORM ... "$"skipped"
return 0
fi
fi
local git_branch="${token_dirname/*\/}"
notify.debug "$FUNCNAME: git_branch = \"$git_branch\""
@ -1016,20 +1023,10 @@ function git.create_tarball() {
[ "$destdir" ] || notify.error $"\
(bug)"" -- $FUNCNAME: "$"missing mandatory arg"" (--destdir)"
local today="$(date "+%Y%m%d")"
if [ "$pck_version" ]; then
[ "$pck_version" = "${today}git" ] || notify.warning "\
${NOTE}${pck_version}${NORM}: "$"\
not the expected package version"" (${NOTE}${today}git${NORM})..."
else
pck_version="${today}git"
notify.debug "$FUNCNAME: pck_version = \"$pck_version\""
fi
type -p git &>/dev/null ||
notify.error $"utility not found"": \`git'"
local tmpgitdir=$(mktemp -q -d -t tmpgit.XXXXXXXX)
local tmpgitdir=$(mktemp -q -d -p /var/tmp -t tmpgit.XXXXXXXX)
[ $? -eq 0 ] ||
notify.error $"can't create temporary files"
notify.debug "$FUNCNAME: tmpgitdir = $tmpgitdir"

View File

@ -632,7 +632,7 @@ $FUNCNAME: specfile_preprocessed = \"$specfile_preprocessed\""
shift
done
local tmpspreprerr=$(mktemp -q -t $me.XXXXXXXX)
local tmpspreprerr=$(mktemp -q -p /var/tmp -t $me.XXXXXXXX)
[ $? -eq 0 ] ||
notify.error "$FUNCNAME: "$"can't create temporary files"
notify.debug "$FUNCNAME: tmpspreprerr = \`${NOTE}$tmpspreprerr${NORM}'"
@ -1132,15 +1132,21 @@ rpmvars.solve "$filesname" "$specfile")" )
esac
notify.debug "$FUNCNAME: $var = ( ${SPEC_TARGET[*]} )"
;;
*) if [[ -n "$rpm_macro_debug_package" && \
"${tok[0]}" = "$rpm_macro_debug_package" ]]; then
# rpm macro for creating debug packages
SPEC_TARGET=( ${SPEC_TARGET[@]} \
"${SPEC_NAME}-${rpm_macro_debug_package_suffix}" )
fi
;;
esac
done < $specfile
# Add debug package to SPEC_TARGET list if found
if [ "${SPEC_BUILDARCH:-$BUILD_ARCH}" == "noarch" ]; then
dbg_filename="$(package.generate_name -p -a noarch -t rpm \
-n ${SPEC_NAME}-${rpm_macro_debug_package_suffix} -v ${SPEC_VERSION} -r ${SPEC_RELEASE%%[^0-9\.]*})"
else
dbg_filename="$(package.generate_name -p -a ${SPEC_BUILDARCH:-$BUILD_ARCH} -t rpm \
-n ${SPEC_NAME}-${rpm_macro_debug_package_suffix} -v ${SPEC_VERSION} -r ${SPEC_RELEASE%%[^0-9\.]*})"
fi
if [[ -e "$dbg_filename" ]]; then
# rpm macro for creating debug packages
SPEC_TARGET=( ${SPEC_TARGET[@]} \
"${SPEC_NAME}-${rpm_macro_debug_package_suffix}" )
fi
#notify.debug "$FUNCNAME: $var = ( ${SPEC_TARGET[*]} )"
;;
SPEC_OBSOLETES)

View File

@ -1,6 +1,7 @@
#!/bin/bash
# pck-extract -- plugin for @package@
# Copyright (C) 2004-2010 Davide Madrisan <davide.madrisan@gmail.com>
# Copyright (C) 2024 Silvan Calarco <silvan.calarco@mambasoft.it>
[ -z "$BASH" ] || [ ${BASH_VERSION:0:1} -lt 3 ] &&
{ echo $"this script requires bash version 3 or better" >&2 && exit 1; }
@ -173,16 +174,16 @@ notify.enable_colors "$color_scheme"
notify.note "[${NOTE}$s_rpm_pck${NORM}]"
# check if all the needed tools are available
for tool in bunzip2 cpio gunzip mktemp rpm2cpio; do
for tool in bunzip2 tar gunzip mktemp rpm2archive; do
[ "$(type -p $tool)" ] ||
notify.error $"utility not found"": \`$tool'"
done
tmpcpiodir=$(mktemp -q -d -t $me.XXXXXXXX)
tmparchivedir=$(mktemp -q -d -p /var/tmp -t $me.XXXXXXXX)
[ $? -eq 0 ] &&
trap "rm -fr $tmpcpiodir" 0 1 2 3 6 7 9 13 15 ||
trap "rm -fr $tmparchivedir" 0 1 2 3 6 7 9 13 15 ||
notify.error $"can't create temporary files"
notify.debug "$FUNCNAME: tmpcpiodir = $tmpcpiodir"
notify.debug "$FUNCNAME: tmparchivedir = $tmparchivedir"
#local s_rpm_pck_name
case "$s_rpm_pck" in
@ -193,9 +194,9 @@ http://*\.src\.*|http://*\.nosrc\.*|ftp://*\.src\.*|ftp://*\.nosrc\.*)
curl.download \
--options "$curl_options" \
${proxy:+--proxy $proxy} ${proxy_user:+--proxy-user $proxy_user} \
--exit-on-err --destdir="$tmpcpiodir" "$s_rpm_pck"
--exit-on-err --destdir="$tmparchivedir" "$s_rpm_pck"
s_rpm_pck="$tmpcpiodir/$s_rpm_pck_name"
s_rpm_pck="$tmparchivedir/$s_rpm_pck_name"
;;
*\.src\.*|*\.nosrc\.*)
s_rpm_pck_name="$s_rpm_pck"
@ -212,46 +213,37 @@ mkdir -p $destdir 2>/dev/null || notify.error $"cannot create \`$destdir'"
#local errcode
#local \
tmpcpiopck="srpm_pck.cpio"
tmparchivepck="srpm_pck.tar.gz"
notify.debug "\
$FUNCNAME: converting the rpm package into a cpio archive..."
$FUNCNAME: converting the rpm package into a tar.gz archive..."
rpm2cpio $s_rpm_pck > $tmpcpiodir/$tmpcpiopck
rpm2archive $s_rpm_pck > $tmparchivedir/$tmparchivepck
let "errcode = $?"
[ "$errcode" = 0 ] ||
{ rm -fr $tmpcpiodir
notify.debug "$FUNCNAME: exit code of rpm2cpio = \`$errcode'"
{ rm -fr $tmparchivedir
notify.debug "$FUNCNAME: exit code of rpm2archive = \`$errcode'"
notify.error $"can't save extracted files to \`$destdir'"; }
notify.debug "\
$FUNCNAME: extracting files from the cpio archive..."
$FUNCNAME: extracting files from the tar.gz archive..."
pushd $tmpcpiodir &>/dev/null
pushd $tmparchivedir &>/dev/null
tar xzf $tmparchivedir/$tmparchivepck
cpio --quiet --extract --preserve-modification-time \
< $tmpcpiodir/$tmpcpiopck
let "errcode = $?"
[ "$errcode" = 0 ] ||
{ rm -fr $tmpcpiodir
notify.debug "$FUNCNAME: exit code of cpio = \`$errcode'"
{ rm -fr $tmparchivedir
notify.debug "$FUNCNAME: exit code of tar = \`$errcode'"
notify.error $"can't save extracted files to \`$destdir'"; }
rm -f $tmpcpiodir/$tmpcpiopck
#notify.debug "\
#$FUNCNAME: extracting files from the srpm archive..."
#
#rpm2cpio $s_rpm_pck 2>/dev/null | \
#cpio --quiet --extract $filelst &>/dev/null
#[ $? -ne 0 ] &&
# { popd &>/dev/null
# notify.error $"can't save extracted files to \`$destdir'"; }
rm -f $tmparchivedir/$tmparchivepck
popd &>/dev/null
#local fname
for f in $tmpcpiodir/${filelst:-*}; do
for f in $tmparchivedir/${filelst:-*}; do
fname=${f##*/}
notify.debug "$FUNCNAME: fname = \"$fname\""
case $fname in
@ -261,7 +253,7 @@ for f in $tmpcpiodir/${filelst:-*}; do
notify.debug "$FUNCNAME: decompressing the patch..."
bunzip2 $f &>/dev/null
[ $? -eq 0 ] ||
{ rm -fr $tmpcpiodir
{ rm -fr $tmparchivedir
notify.warning $"can't decompress the file"" \`$f'"; }
notify.note " * ${NOTE}$destdir/${fname/\.bz2/}${NORM}"
@ -271,7 +263,7 @@ for f in $tmpcpiodir/${filelst:-*}; do
notify.debug "$FUNCNAME: decompressing the patch..."
gunzip $f &>/dev/null
[ $? -eq 0 ] ||
{ rm -fr $tmpcpiodir
{ rm -fr $tmparchivedir
notify.warning $"can't decompress the file"" \`$f'"; }
notify.note " * ${NOTE}$destdir/${fname/\.gz/}${NORM}"
@ -283,8 +275,8 @@ for f in $tmpcpiodir/${filelst:-*}; do
;;
esac
[ $? -eq 0 ] ||
{ rm -fr $tmpcpiodir
{ rm -fr $tmparchivedir
notify.error $"can't save files to \`$destdir'"; }
done
rm -fr $tmpcpiodir
rm -fr $tmparchivedir

View File

@ -34,6 +34,7 @@ me=(${0##*/} "@version@" "@date@")
# output verbosity
let "verbose = 1"
#
let "noprep = 0"
let "cleanup = 0"
let "spec_format = 0"
let "rebuild = 0"
@ -97,7 +98,7 @@ function usage() {
[--packager-email \"email@domain\" ] [--nosrpm|--norpm] \\
[--force-update] [--force-build] [--force-install] \\
[--force-download] [--ignore-test t1[,t2,...]] \\
[-c] [-f] [-L] [-R] [-C <conf_file>]
[-p] [-c] [-f] [-L] [-R] [-C <conf_file>]
"$"where the above options mean"":
-u, --update "$"Update the package <pck> to version <ver> and release <rel>""
@ -147,6 +148,7 @@ function usage() {
--list-check "$"action"" 5: "$"Do a \`list check'""
-b, --update-autobuildreq""
"$"action"" 6: "$"Replace the block AUTOBUILDREQ""
-p, --noprep "$"Skip rpmbuild %prep macro when retrying building from an existing builddir""
-c, --clear "$"Remove all the temporary files except (s)rpm packages""
-f, --format "$"Enable specfile autoformatting""
-L, --log "$"Unable logging to file (logging dir: \`\$logging_dir')""
@ -196,14 +198,14 @@ for arg in $@; do
done
exec_options=`LC_ALL=C getopt \
-o ua:d:l:S:A:bcfLRC:DqhV \
-o ua:d:l:S:A:pbcfLRC:DqhV \
--long \
update,action:,define:,login:,specfile:,arch:,\
server-download:,server-upload:,server:,\
changelog:,packager-fullname:,packager-email:,distro-rpm:,\
nosrpm,norpm,list-check,update-autobuildreq,\
force-update,force-build,force-install,force-download,force,\
ignore-test:,clear,format,log,rebuild,root:,\
ignore-test:,noprep,clear,format,log,rebuild,root:,\
frontend_opts:,colors:,config:,\
debug,quiet,help,version \
-n "$me" -- "$@"`
@ -281,6 +283,8 @@ while :; do
let "force_upload = 1" ;;
--ignore-test)
ignore_test_list=$2; shift ;;
-p|--noprep)
noprep=1 ;;
-c|--clear)
cleanup=1 ;;
-f|--format)
@ -407,11 +411,11 @@ $"illegal value"": \"$ftp_rw_server_num_default\""
# display users and passwords in the debug messages (default: '0')
debug_print_private_user_infos=0
infofile=$(mktemp -q -t infofile.XXXXXXXX)
infofile=$(mktemp -q -p /var/tmp -t infofile.XXXXXXXX)
[ $? -eq 0 ] || notify.error $"can't create temporary files"
# preprocessed specfile generated by 'rpm --specfile --specedit'
specfile_preprocessed=$(mktemp -q -t specpreproc.XXXXXXXX)
specfile_preprocessed=$(mktemp -q -p /var/tmp -t specpreproc.XXXXXXXX)
[ $? -eq 0 ] || notify.error $"can't create temporary files"
trap "rm -f $infofile $specfile_preprocessed" 0 1 2 3 6 7 9 13 15
@ -544,9 +548,9 @@ done)"
[ "$SPEC_PATCH" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_PATCH
[ "$SPEC_SOURCE" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_SOURCE
[ "$SPEC_LICENSE" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_LICENSE
[ "$SPEC_BUILDARCH" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_BUILDARCH
[ "$SPEC_TARGET" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_TARGET
[ "$SPEC_OBSOLETES" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_OBSOLETES
[ "$SPEC_BUILDARCH" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_BUILDARCH
[ "$SPEC_BUILDREQUIRES" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_BUILDREQUIRES
[ "$SPEC_BUILDROOT" ] || specfile.getvars -s $SPECFILE_PREPROCESSED SPEC_BUILDROOT
@ -1341,7 +1345,7 @@ illegal \`format_extra_rules' (see configuration file(s))"
local sharedstatedir=`rpm --eval=%{_sharedstatedir}`
local sysconfdir=`rpm --eval=%{_sysconfdir}`
local tmpspec=$(mktemp -q -t $me.XXXXXXXX)
local tmpspec=$(mktemp -q -p /var/tmp -t $me.XXXXXXXX)
[ $? -eq 0 ] ||
notify.error $"can't create temporary files"
notify.debug "tmpspec = \`${NOTE}$tmpspec${NORM}'"
@ -1478,7 +1482,7 @@ for i in $(seq 1 1 ${#spec_lines[@]}); do
echo -n "\n ${spec_lines[$i-1]}"
done)"
local tmppreamble=$(mktemp -q -t $me.XXXXXXXX)
local tmppreamble=$(mktemp -q -p /var/tmp -t $me.XXXXXXXX)
[ $? -eq 0 ] ||
notify.error $"can't create temporary files"
notify.debug "tmppreamble = \`${NOTE}$tmppreamble${NORM}'"
@ -2122,6 +2126,8 @@ ${proxy:+--proxy $proxy} ${proxy_user:+--proxy-user $proxy_user} \
[ "$BUILD_ARCH" != "$target_cpu" ] &&
USER_RPMDEFINE_OPTS="--target $target_cpu $USER_RPMDEFINE_OPTS"
[ "$noprep" = "1" ] && rpmbuild_opts="$rpmbuild_opts --noprep"
[ "$cleanup" = "1" ] && rpmbuild_opts="$rpmbuild_opts --clean"
# note: exit with error when build requirements are missing
@ -2193,7 +2199,7 @@ It seems good but do not forget to run quality and security tests"\
" (-a8)${NORM}""
"
else
local tmpunpackfiles=$(mktemp -q -t $me.XXXXXXXX)
local tmpunpackfiles=$(mktemp -q -p /var/tmp -t $me.XXXXXXXX)
[ $? -eq 0 ] || notify.error $"can't create temporary files"
notify.debug "tmpunpackfiles = \`${NOTE}$tmpunpackfiles${NORM}'"
@ -2273,7 +2279,7 @@ build the list of the build requirements""${NORM}"
notify.debug "SPEC_TARGET = [ ${SPEC_TARGET[*]} ]"
notify.debug "pcks_list = [ ${pcks_list[*]} ]"
local frequires=$(mktemp -q -t frequires.XXXXXXXX) ||
local frequires=$(mktemp -q -p /var/tmp -t frequires.XXXXXXXX) ||
notify.error $"can't create temporary files"
# FIXME: "/usr/lib/perl5" should be defined in autospec.conf
local perl_prefixes=$(perl -V | grep "^[[:space:]]\+/usr/lib/perl5")
@ -2336,8 +2342,14 @@ build the list of the build requirements""${NORM}"
solibpath_catch=""
# is a shared library
# req="libGL.so.1(libc6)" => /usr/lib/libGL.so
reqpath=$($path_ldconfig -Np | \
reqpaths=$($path_ldconfig -Np | \
sed -n "s, ,,g;/${req/(*)/}/{s,.*=>,,;p}")
reqpath=""
for l in $reqpath; do
[ "${reqpath}" = "" ] && reqpath=$l
# Prefer solib in libdir path in case of multiple choices
[ "`dirname $l`" = "${libdir}" ] && { reqpath=$l; break; }
done
solibpath="${reqpath/\.so\.*/.so}"
notify.debug "\
req=\"$req\" ($reqpath) =?> solibpath=\"$solibpath\""
@ -2515,7 +2527,7 @@ pck_newver = \"$pck_newver\", pck_newrel = \"$pck_newrel\""
notify.debug "pck_rpmrelease = $pck_rpmrelease"
local tmpextractdir
tmpextractdir=$(mktemp -q -d -t rpm_extract.XXXXXXXX)
tmpextractdir=$(mktemp -q -d -p /var/tmp -t rpm_extract.XXXXXXXX)
[[ $? -eq 0 ]] ||
notify.error $"can't create temporary files"
notify.debug "$FUNCNAME: tmpextractdir = $tmpextractdir"

View File

@ -654,7 +654,7 @@ python modules must have this name structure (use \`-n'):"" \
# link fd#3 with stdout and redirect stdout to the log file
[ "$outfile" ] && { exec 3<&1; exec 1>>$outfile; }
local tmpdir=`mktemp -q -d -t $me.XXXXXXXX`
local tmpdir=`mktemp -q -d -p /var/tmp -t $me.XXXXXXXX`
[ $? -eq 0 ] ||
notify.error $"can't create temporary directory"
@ -959,7 +959,6 @@ $spec_cmd_configure_autotools --enable-gtk-doc"
# 12. debug package
local debug_package="0"
[ -n "$rpm_macro_debug_package" ] && debug_package="1"
# FIXME: missing support for:
# pkgconfig files

View File

@ -1,3 +1,8 @@
# Italian translation.
# Copyright (C) 2004-2013 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2013.
#
msgid "this script requires bash version 2 or better"
msgstr "questo script richiede bash versione 2 o superiore"
@ -270,9 +275,6 @@ msgstr "pacchetto non trovato"
msgid "unknown action"
msgstr "azione sconosciuta"
msgid "not the expected package version"
msgstr "non è la versione di pacchetto prevista"
msgid "cloning git repository"
msgstr "clonazione del repository"
@ -527,6 +529,11 @@ msgstr "Cerca i file non pacchettizzati"
msgid "Replace the block AUTOBUILDREQ"
msgstr "Aggiorna il blocco AUTOBUILDREQ"
msgid "Skip rpmbuild %prep macro when retrying building from an existing "
"builddir"
msgstr "Salta la macro %prep di rpmbuild per riprovare la compilazione da "
"una builddir esistente"
msgid "Remove all the temporary files except (s)rpm packages"
msgstr "Rimuove tutti i file temporanei"
@ -930,6 +937,9 @@ msgstr "sembra un modulo python (in questo caso usa \\`-t python')"
msgid "created specfile"
msgstr "creato specfile"
msgid "checking Source URL with: "
msgstr "controllo della URL sorgente con: "
msgid "redirect detected: replacing from \\`$SPEC_URL' to "
"\\`${http_effective_url}'"
msgstr "redirezione rilevata: sostituzione da \\`$SPEC_URL' a "
@ -956,11 +966,6 @@ msgstr "manca almeno una direttiva \\`%defattr'"
msgid "use rpm macros if possible:"
msgstr "utilizzare le macro rpm quando possibile:"
# Italian translation.
# Copyright (C) 2004-2013 Davide Madrisan
# This file is distributed under the same license as the autospec package.
# Davide Madrisan <davide.madrisan@gmail.com>, 2004-2013.
#
msgid ""
msgstr "Project-Id-Version: autospec 1.16.4\n"
"Report-Msgid-Bugs-To: davide.madrisan@gmail.com\n"
@ -1100,11 +1105,5 @@ msgid "${NOTE}Security checks: ${#rpmpkg_name[@]} package(s) checked: "
msgstr "${NOTE}Controlli di sicurezza: pacchetti rpm: ${#rpmpkg_name[@]}; "
"problemi riscontrati: ${NORM}${WARN}$total_issues${NORM}"
#~ msgid "replacing the AUTOBUILDREQ block by:"
#~ msgstr "sostituzione del blocco AUTOBUILDREQ con:"
#~ msgid "server unreachable"
#~ msgstr "server non raggiungibile"
#~ msgid "invalid version number"
#~ msgstr "numero di versione non valido"
#~ msgid "not the expected package version"
#~ msgstr "non è la versione di pacchetto prevista"

View File

@ -54,28 +54,14 @@ This package contains libraries and header files for developing applications tha
%makeinstall -C build
@if:i18n
%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang
%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang
@fi:i18n
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%post -n lib%{name}
@if:shared_libraries
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
@fi:shared_libraries
exit 0
%postun -n lib%{name}
@if:shared_libraries
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
@fi:shared_libraries
exit 0
@if:i18n
%files -f %{name}5_qt.lang
%files -f %{name}.lang
@else:i18n
%files
@fi:i18n

View File

@ -39,10 +39,6 @@ Requires: lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.
@if:debug_package
%debug_package
@fi:debug_package
%prep
%setup -q
@ -62,20 +58,6 @@ This package contains libraries and header files for developing applications tha
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%post -n lib%{name}
@if:shared_libraries
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
@fi:shared_libraries
exit 0
%postun -n lib%{name}
@if:shared_libraries
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
@fi:shared_libraries
exit 0
@if:i18n
%files -f %{name}.lang
@else:i18n

View File

@ -52,8 +52,6 @@ Requires: lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
@else:pck_library
Requires: %{name} = %{?epoch:%epoch:}%{version}-%{release}
@fi:pck_library
## note: you can add this requirement if .pc files are provided by this package
#Requires: pkg-config
@if:pck_library
%description -n lib%{name}-devel
@ -84,10 +82,6 @@ Requires: gtk-doc
This package includes the %{name} API documentation.
@fi:pck_apidocs
@if:debug_package
%debug_package
@fi:debug_package
%prep
%setup -q
@ -110,14 +104,6 @@ This package includes the %{name} API documentation.
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
@if:pck_library
%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig
@else:pck_library
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
@fi:pck_library
@if:infopages
@if:pck_library
%post -n lib%{name}-devel

View File

@ -45,10 +45,6 @@ Requires: gtk-doc
This package includes the %{name} API documentation.
@fi:pck_apidocs
@if:debug_package
%debug_package
@fi:debug_package
%prep
%setup -q

View File

@ -41,7 +41,7 @@ function specfile.checksyntax() {
notify.note " * $specfile"
local total_issues=0
local user_agent="Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/81.0"
local user_agent="Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/132.0"
# 0. checking if 'Source[0]' is a valid internet address
# (skip this test if no '%setup' section has been found)
@ -49,6 +49,10 @@ function specfile.checksyntax() {
notify.note "$(test.num2str). ${NOTE}"\
"url""${NORM}..."
if [[ "$SPEC_URL" ]]; then
{ notify.debug "\
\`url': "$"checking Source URL with: ""\`curl -s -o /dev/null -w \"%{http_code}\" -A \"${user_agent}\" $SPEC_URL'"
}
http_code=`curl -s -o /dev/null -w "%{http_code}" -A "${user_agent}" $SPEC_URL`
if [ "$http_code" != "200" ]; then
if [ "${http_code:0:2}" == "30" ]; then